LINUX.ORG.RU
ФорумGames

Запустить Crysis Wars на HD6950

 , , ,


0

1

Захотел недавно поиграть по хамачику в данную игру, но ничего не вышло.
Устанавливал в чистый префикс вайна со всеми требуемыми обвесами.

Как обычно менюшка стартует отлично, графика настраивается и даже игра запускается.
Запуск быстрый как надо, рендер стартует и даже можно немного подвигать камерой.
Но далее игра вешается и вешает как минимум Xorg, а в некоторых случаях и систему целиком.

Лог запуска:
http://pastebin.com/Mz4Lp8gw

На winehq есть патч для вайна, собирал с ним но это не помогает:
http://appdb.winehq.org/objectManager.php?sClass=version&iId=22686
Запускал по всякому, c GLSL disabled (хотя я не уверен работает ли это вообще на видеокартах amd) и с другими параметрами рендера.
Но итог один - зависание.

В тред призываются сторонники блоба amd.

PS: Ubuntu 12.04 x86 PAE. Без compiz (gnome classic), wine 1.3.37 и 1,4. Блоб последний из репозиториев.
Запускать пробовал как в окне так и в разных разрешениях - ноль изменений.

★★★

внезапно а попробуй на обычном не пай ядрышке...

Thero ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Блоб поставить последний.

Catalyst 12.6 и новее, не поддерживает Radeon HD HD5xxV и модели до Radeon HD 5165. Если у вас неподдерживаемая видеокарта, используйте Catalyst 12.4 из репозиториев, либо свободный драйвер (рекомендуется).

Какую лажу там пишут, Catalyst 12.6 якобы не поддерживает видухи серий HD 3xxx - HD 4xxx, так бы и написали: в убунте ведро кривое, скачайте более подходящее для драйвера оттуда-то. Когда скачанный с сайта блоб нужной версии компилится в системе, то можно почитать установочный лог и запустить скрипт деинсталляции до перезагрузки, а если совсем плохо, то удалить xorg.conf А ставить блоб каталиста из репозитория та ещё лотерея.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Какую лажу там пишут

Это я написал.

Catalyst 12.6 якобы не поддерживает видухи серий HD 3xxx - HD 4xxx

Так и есть. В fglrx 9.98 поддержка чипов R600 и R700 отсутствует.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Catalyst 12.6 якобы не поддерживает видухи серий HD 3xxx - HD 4xxx

Так и есть. В fglrx 9.98 поддержка чипов R600 и R700 отсутствует.

У мну Radeon HD 3850, Catalyst 12.6 и ведро kernel-3.3.5-2.fc16.x86_64 засунутое в RFRrmix 17 специально для этого драйвера, ЧЯНТ? http://s54.radikal.ru/i146/1209/d9/69946cda8d65.png Это Catalyst 12.8 не хочет собираться.

ЗЫ. для фанатиков считающих линукс ядром, теперь моя федора стала на версию меньше, а если запихнуть ведро от восемнадцатой, то станет сразу на 2 две версии больше.

Napilnik ★★★★★ ()

Запустить Crysis Wars на HD6950

Успешно работает на убогонькой NVIDIA GT120 в последнем вайне. Правда лагает. Но артефактов нет.

PaxtonFettel ()
Ответ на: комментарий от PaxtonFettel

Причем тут каноникл?
Без compiz игры работают как на ванильном дебиане.

winddos ★★★ ()
Ответ на: комментарий от Napilnik

У мну Radeon HD 3850, Catalyst 12.6 и ведро kernel-3.3.5-2.fc16.x86_64 засунутое в RFRrmix 17 специально для этого драйвера, ЧЯНТ?

Путаете Catalyst 12.6 (fglrx 8.98) и Catalyst 12.6 Legacy (fglrx 9.97) тчк. У вас Legacy.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Путаете Catalyst 12.6 (fglrx 8.98) и Catalyst 12.6 Legacy (fglrx 9.97) тчк. У вас Legacy.

Чтобы скачать с сайта amd.com неправильную версию каталиста 12.6, надо указать неправильные данные в его поисковике, поэтому вообще не знал о её существовании. Но всё равно, если ядро тянет, то зачем использовать Catalyst 12.4 вместо Catalyst 12.6 Legacy?

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Там разница всё равно невелика, проще предложить поставить 8.96 одним кликом, чем отдельно установку 8.97 расписываться. Кому нужно что-то, что появилось только в 8.97, и так знают, где взять и как поставить эту версию.

(Я опечатался в предыдущем сообщении: вместо 9.97 имелось ввиду 8.97.)

RussianNeuroMancer ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.